Summary:	An Atari ST emulator
Name:		hatari
Version:	1.9.0
Release:	%mkrel 3
License:	GPLv2+
#Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:		Emulators
Url:		http://hatari.tuxfamily.org
Source0:	%{name}-%{version}.tar.xz
Patch0:		hatari-1.9.0-static.patch
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}readline-devel
BuildRequires:	%{_lib}png-devel
BuildRequires:	%{_lib}portaudio-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}x11-devel
BuildRequires:	zlib1-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Hatari is an Atari ST and STE emulator.

The Atari ST was a 16/32 bit computer system which was first released by
Atari in 1985. Using the Motorola 68000 CPU, it was a very popular computer
having quite a lot of CPU power at that time. Unlike many other Atari ST
emulators which try to give you a good environment for running GEM
applications, Hatari tries to emulate the hardware of a ST as close as
possible so that it is able to run most of the old ST games and demos.


#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake -DENABLE_WINUAE_CPU:BOOL=1
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

#fr man pages
install -d -m 755 %{buildroot}/%{_mandir}/fr/man1
install -m 644 doc/fr/%{name}.1 %{buildroot}/%{_mandir}/fr/man1/


%find_lang %{name} --with-man

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %{name}.lang
%doc readme.txt doc/changelog.txt doc/fr/clavier-exemple.txt
%doc tools/hmsa/readme-hmsa.txt
%{_bindir}/%{name}*
%{_bindir}/atari-convert-dir
%{_bindir}/atari-hd-image
%{_bindir}/gst2ascii
%{_bindir}/hmsa
%{_bindir}/zip2st
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}ui.desktop
%{_datadir}/mime/packages/hatari.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/mimetypes/application-x-st-disk-image.*
%{_mandir}/man1/*.1*


%changelog
* Thu Sep 15 2016 adrianomorselli <adrianomorselli> 1.9.0-3uplos2016
- rebuild and fixed packager

* Thu Apr 07 2016 bb <bb> 1.9.0-2pclos2016
- adjust cmake

* Fri Feb 05 2016 Agent Smith  <ruidobranco@yahoo.com.br> hatari-1.9.0-1pclos2016.src.rpm
- Created the package hatari, with latest sources.


